RDKit: RDKit::RGroupData Struct Reference

| RDKit Open-source cheminformatics and machine learning.

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
RDKit::RGroupData Struct Reference

A single rgroup attached to a given core. More...

`#include <RGroupData.h>`

## Public Member Functions
| RGroupData ()
void | add (const ROMOL_SPTR &newMol, const std::vector< int > &rlabel_attachments)
std::map< int, int > | getNumBondsToRlabels () const
std::string | toString () const

## Static Public Member Functions
static std::string | getRGroupLabel (int rlabel)
static const std::string & | getCoreLabel ()
static const std::string & | getMolLabel ()
static bool | isMolHydrogen (const ROMol &mol)

## Public Attributes
RWMOL_SPTR | combinedMol
std::vector< ROMOL_SPTR > | mols
std::vector< std::string > | smilesVect
std::string | smiles
std::set< int > | attachments
std::unique_ptr< ExplicitBitVect > | fingerprint
std::vector< int > | fingerprintOnBits
bool | is_hydrogen = false
bool | single_fragment = true
bool | is_linker = false
bool | labelled = false

## Detailed Description

A single rgroup attached to a given core.

Definition at line 22 of file RGroupData.h.

## Constructor & Destructor Documentation

## ◆ RGroupData()

RDKit::RGroupData::RGroupData | ( |  | ) |
| inline

Definition at line 38 of file RGroupData.h.

## Member Function Documentation

## ◆ add()

void RDKit::RGroupData::add | ( | const ROMOL_SPTR & | newMol,
|  | const std::vector< int > & | rlabel_attachments )

## ◆ getCoreLabel()

static const std::string & RDKit::RGroupData::getCoreLabel | ( |  | ) |
| static

## ◆ getMolLabel()

static const std::string & RDKit::RGroupData::getMolLabel | ( |  | ) |
| static

## ◆ getNumBondsToRlabels()

std::map< int, int > RDKit::RGroupData::getNumBondsToRlabels | ( |  | ) | const

## ◆ getRGroupLabel()

static std::string RDKit::RGroupData::getRGroupLabel | ( | int | rlabel | ) |
| static

## ◆ isMolHydrogen()

static bool RDKit::RGroupData::isMolHydrogen | ( | const ROMol & | mol | ) |
| static

## ◆ toString()

std::string RDKit::RGroupData::toString | ( |  | ) | const

## Member Data Documentation

## ◆ attachments

std::set<int> RDKit::RGroupData::attachments

Definition at line 28 of file RGroupData.h.

## ◆ combinedMol

RWMOL_SPTR RDKit::RGroupData::combinedMol

Definition at line 23 of file RGroupData.h.

## ◆ fingerprint

std::unique_ptr<ExplicitBitVect> RDKit::RGroupData::fingerprint

Definition at line 30 of file RGroupData.h.

## ◆ fingerprintOnBits

std::vector<int> RDKit::RGroupData::fingerprintOnBits

Definition at line 31 of file RGroupData.h.

## ◆ is_hydrogen

bool RDKit::RGroupData::is_hydrogen = false

Definition at line 32 of file RGroupData.h.

## ◆ is_linker

bool RDKit::RGroupData::is_linker = false

Definition at line 34 of file RGroupData.h.

## ◆ labelled

bool RDKit::RGroupData::labelled = false

Definition at line 35 of file RGroupData.h.

## ◆ mols

std::vector<ROMOL_SPTR> RDKit::RGroupData::mols

Definition at line 24 of file RGroupData.h.

## ◆ single_fragment

bool RDKit::RGroupData::single_fragment = true

Definition at line 33 of file RGroupData.h.

## ◆ smiles

std::string RDKit::RGroupData::smiles

Definition at line 27 of file RGroupData.h.

## ◆ smilesVect

std::vector<std::string> RDKit::RGroupData::smilesVect

Definition at line 25 of file RGroupData.h.

The documentation for this struct was generated from the following file:

- RGroupData.h